Get all products
curl --request GET \
--url https://api.vantage.sh/v2/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v1/products",
"first": "https://api.vantage.sh/v1/products?page=1",
"next": null,
"last": "https://api.vantage.sh/v1/products?page=1",
"prev": null
},
"products": [
{
"id": "aws-ec2-m5d_16xlarge",
"category": "compute",
"name": "m5d.16xlarge",
"service_id": "aws-ec2",
"provider_id": "aws",
"details": {
"gpu": 0,
"name": "M5 General Purpose 16xlarge",
"vcpu": 64,
"memory": 256,
"clock_speed_ghz": 3.1,
"physical_processor_description": "Intel Xeon Platinum 8175 (Skylake)",
"network_performance_description": "20 Gigabit"
}
},
{
"id": "aws-ec2-c5a_8xlarge",
"category": "compute",
"name": "c5a.8xlarge",
"service_id": "aws-ec2",
"provider_id": "aws",
"details": {
"gpu": 0,
"name": "C5A 8xlarge",
"vcpu": 64,
"memory": 256
}
},
{
"id": "aws-ec2-c5a_4large",
"category": "compute",
"name": "c5a.4large",
"service_id": "aws-ec2",
"provider_id": "aws",
"details": {
"gpu": 0,
"name": "C5A 4large",
"vcpu": 64,
"memory": 4
}
},
{
"id": "aws-s3-standard",
"category": "object_storage",
"name": "standard",
"service_id": "aws-s3",
"provider_id": "aws",
"details": {}
}
]
}Prices
Get all products
Return available Products for a Service. For example, with a Provider of AWS and a Service of EC2, Products will be a list of all EC2 Instances. By default, this endpoint returns all Products across all Services and Providers but has optional query parameters for filtering listed below.
GET
/
products
Get all products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Query by Provider to list all Products across all Services for a Provider. e.g. aws
Query by Service to list all Products for a specific provider service. e.g. aws-ec2
Query by name of the Product to see a list of products which match that name. e.g. m5a.16xlarge
The page of results to return.
The amount of results to return. The maximum is 1000
⌘I